Bug 59859 - Installation script does not support X Windows on Dell PowerEdge 2300 by default.
Installation script does not support X Windows on Dell PowerEdge 2300 by defa...
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-13 17:28 EST by Gregg Aronson
Modified: 2007-04-18 12:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 13:48:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gregg Aronson 2002-02-13 17:28:23 EST
Description of Problem:
Red Hat 7.2 Fails to support the embedded graphics controller on the Dell PowerEdge 2300 by default.
The installation script incorrectly detects the ATI Mach64 3D RAGE Pro and defaults to "ATI Mach64". 
The script also does not install the necessary components under "User Interface / X Hardware Support"


Version-Release number of selected component (if applicable):
ATI Mach64 3D Rage Pro - embedded in Dell PowerEdge 2300 motherboard


How Reproducible:Always, when you use the defaults, or if you select ATI Mach64 3D Rage Pro without manually selecting the necessary 
components under  "User Interface / X Hardware Support"



Steps to Reproduce:
1. Perform a normal installation of Red Hat 7.2 on a Dell PowerEdge 2300
2. Configure your Xserver
3. 

Actual Results:
Graphics fails to install. When the Xconfigurator tries to test the graphics installation, it fails.

Expected Results: Graphics should install


Additional Information:

The following workaround can be used when installing Red Hat Linux 7.2 on a Dell PowerEdge 2300 using the embedded ATI video controller
:
1. Be sure to select the option to select individual components. This appears as a checkbox at the bottom of the dialog box where you select 
GNOME and/or KDE.

2. Go to the item at or near the end of resulting selector box and select "User Interface / X Hardware Support". Enable the following sub 
components:
-  XFree86-8514
-  XFree86-Mach64
-  XFree86-compat-modules
Note: I have isolated the problem to these 3 missing components, but. I am not sure if all 3 are necessary.


3. Finally, when the default video controller is displayed, change it to "ATI Mach64 3D Rage Pro" (the default is "ATI Mach64" and this will not work 
on 
the Dell PowerEdge 2300). 

You can also install the above components as an upgrade.
Comment 1 Jeremy Katz 2002-02-14 15:15:45 EST
What does `lspci -v` give on this machine for the video controller?
Comment 2 Gregg Aronson 2002-02-19 14:18:33 EST
lspci -v gives the following information about the video controller 
(whether you install normally or by using the workaround I suggested above under "additional information"):

01:00.0 VGA compatible controller: ATI Technologies Inc 3D Rage Pro AGP 1X (rev 5c) (prog-if 00 [VGA])	
Subsystem: Dell Computer Corporation: Unknown device 0081	
Flags: bus master, VGA palette snoop, stepping, medium devsel, latency 32	
Memory at fc000000 (32-bit, non-prefetchable) [size=16M]	
I/O ports at fc00 [size=256]	
Memory at fbfff000 (32-bit, non-prefetchable) [size=4K]	
Expansion ROM at <unassigned> [disabled] [size=128K]	
Capabilities: [50] AGP version 1.0
Comment 3 Jeremy Katz 2002-02-19 18:40:46 EST
Mike, do you know about any problems with these cards and XFree 4?
Comment 4 Michael Fulbright 2002-02-21 12:25:22 EST
<ping mharris>
Comment 5 Mike A. Harris 2002-02-21 22:04:45 EST
Chris Kloiber has sent me a patch from IBM however that presumeably
fixes some Mach64 problems, but I do not have enough information
to know if it should be applied or not.  I tend not to blindly apply
patches without knowing what they do, and what they were made against.

I am in contact with him about it however.  You might want to query
bugzilla and see if any open Mach64 and/or Rage problems that may
be open sound similar to this one perhaps.

I'll update here if I discover anything, or have a patch avail.
Comment 6 Jeremy Katz 2002-03-14 16:43:08 EST
Mike -- I know I saw something fly by about fixes for some ATI adaptors commonly
used on Dell and IBM boxes... do you have those packages on your people page?
Comment 7 Michael Fulbright 2002-04-10 16:11:18 EDT
Closing due to inactivity, please reopen if you continue to have problems.
Comment 8 Red Hat Bugzilla 2006-02-21 13:48:27 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.